﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService
@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "SettingMenu", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "SettingMenu", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "SettingMenu", Operations.Delete);
}

@section Styles{
}

    @section Scripts{
    <script src="/controller/item/item.js"></script>
}
    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        @*<ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">HAT Soft</a></li>
                    <li class="breadcrumb-item active">Thêm mới</li>
                    </ol>*@
                    </div>
                    <h4 class="page-title">Item</h4>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        @{
                        if (resultCreate.Succeeded)
                        {
                            <a id="submit-create" class="btn btn-success"><i class="uil-plus-circle"></i>&nbsp; Lưu</a>
                            <a id="submit-create-new" class="btn btn-outline-success"><i class="uil-plus-circle"></i>&nbsp; Lưu & thêm mới</a>
                            <a id="submit-create-close" class="btn btn-outline-success"><i class="mdi mdi-window-close"></i>&nbsp; Lưu & Đóng</a>
                        }
                    }
                    <a href="/cpanel/item/index" class="btn btn-outline-secondary"><i class="mdi mdi-window-close"></i>&nbsp; Đóng</a>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-body">

                    <h4 class="header-title">Thông tin chi tiết item</h4>
                    <p class="text-muted font-14">
                        Điền đầy đủ thông tin chi tiết item
                    </p><form id="frmItem">
                        <div class="row">

                            <div class="col-sm-6">
                                <div class="mb-3">
                                    <label for="ddlProducts" class="form-label">Sản phẩm</label>
                                    <select class="form-control select2" id="ddlProducts" data-toggle="select2">
                                    </select>
                                </div> 
                                
                                <div class="mb-3">
                                    <label for="txtCode" class="form-label">Mã Item (Item Code)</label>
                                    <input type="text" id="txtCode" class="form-control">
                                    <input type="hidden" id="txtId" class="form-control">
                                </div>

                                <div class="mb-3">
                                    <label for="txtName" class="form-label">Tên Item (Item Name)</label>
                                    <input type="text" id="txtName" class="form-control">
                                </div>

                                <div class="mb-3">
                                    <label for="txtItemCodeY" class="form-label">Y</label>
                                    <input type="text" id="txtItemCodeY" class="form-control">
                                </div>

                                 <div class="mb-3">
                                    <label for="txtBoxDimension" class="form-label">Box Dimension</label>
                                    <input type="text" id="txtBoxDimension" class="form-control">
                                </div>

                                <div class="mb-3">
                                    <label for="txtBoxWeight" class="form-label">Box Weight</label>
                                    <input type="text" id="txtBoxWeight" class="form-control">
                                </div>

                                <div class=" mb-3">
                                    <div class="form-check">
                                        <input type="checkbox" class="form-check-input" checked="checked" id="chkActive">
                                        <label class="form-check-label" for="chkActive">Hoạt động / Khóa</label>
                                    </div>
                                </div>
                            </div>

                            <div class="col-sm-6">

                                <div class="mb-3">
                                    <label for="txtItemCBM" class="form-label">Số khối (CBM)</label>
                                    <input type="text" id="txtItemCBM" class="form-control">
                                </div>

                                <div class="mb-3">
                                    <label for="txtItemPrice" class="form-label">Giá mới (Price)</label>
                                    <input type="text" id="txtItemPrice" class="form-control">
                                </div>

                                <div class="mb-3">
                                    <label for="txtItemPriceOld" class="form-label">Giá cũ (Price)</label>
                                    <input type="text" id="txtItemPriceOld" class="form-control">
                                </div>

                                <div class="mb-3">
                                    <label for="txtMPN" class="form-label">MPN</label>
                                    <input type="text" id="txtMPN" class="form-control">
                                </div>

                                <div class="mb-3">
                                    <label for="txtDesc" class="form-label">Mô tả (Description)</label>
                                    <textarea id="txtDesc" class="form-control" rows="5"></textarea>
                                </div>
                            </div>

                        </div> <!-- end card-body -->
                    </form>
                </div> <!-- end card -->
            </div> <!-- end col -->
        </div>
    </div>
</div>

